LibreOffice LibreOffice 25.2 SDK API Reference

List of all members
ModuleManager Service Reference

can be used to identify office modules. More...

`import"ModuleManager.idl";`

Inheritance diagram for ModuleManager:

## Additional Inherited Members
Exported Interfaces inherited from XModuleManager2
interface | XModuleManager
| provides functions to identify office modules. More...
interface | ::com::sun::star::container::XNameReplace
| provides read access to the configuration of office modules. More...
Public Member Functions inherited from XModuleManager
string | identify ([in] ::com::sun::star::uno::XInterface Module) raises (::com::sun::star::lang::IllegalArgumentException, UnknownModuleException )
| identifies the given module. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XNameReplace
void | replaceByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element with the specified name with the given element. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()

## Detailed Description

can be used to identify office modules.

Further it provides read access to the configuration of office modules.

Since
  OOo 2.0

The documentation for this service was generated from the following file:

- com/sun/star/frame/ModuleManager.idl